.hero{
height:100vh;
background:url("img/hero-3.jpg") center/cover no-repeat;
display:flex;
align-items:center;
justify-content:center;
text-align:center;
position:relative;
color:white;
}

.hero-overlay{
position:absolute;
width:100%;
height:100%;
background:linear-gradient(rgba(0,0,0,.4),rgba(0,0,0,.5));
}

.hero-content{
position:relative;
max-width:900px;
animation:fadeUp 1.2s ease;
}

.hero-subtitle{
font-style:italic;
margin-bottom:20px;
opacity:.9;
}

.hero h1{
font-size:90px;
font-weight:800;
line-height:1.1;
}

.hero h1 span{
display:block;
font-size:30px;
font-weight:400;
margin-top:10px;
}

.scroll{
font-size:14px;
opacity:.8;
cursor:pointer;
}



/* =========================
GALERÍA
========================= */

.gallery{
max-width:1300px;
margin:auto;
padding:80px 20px;
}

.top{
display:flex;
justify-content:space-between;
align-items:center;
margin-bottom:40px;
flex-wrap:wrap;
gap:20px;
}

.menu a{
margin-left:20px;
color:#777;
cursor:pointer;
transition:.3s;
font-weight:500;
}

.menu a:hover,
.menu .active{
color:black;
}



/* =========================
MASONRY GRID (tipo Pinterest)
========================= */

.grid{
column-count:3;
column-gap:20px;
}

.card{
break-inside:avoid;
margin-bottom:20px;
background:white;
border-radius:8px;
overflow:hidden;
box-shadow:0 5px 15px rgba(0,0,0,.05);
transition:.35s;
}

.card:hover{
transform:translateY(-6px);
box-shadow:0 20px 40px rgba(0,0,0,.08);
}

.card img{
width:100%;
height:auto;
display:block;
transition:.6s;
cursor:pointer;
}

.card:hover img{
transform:scale(1.05);
}



/* =========================
TEXT CARD
========================= */

.text{
display:flex;
align-items:center;
justify-content:center;
padding:30px;
}

.textBox{
border-top:1px solid #eee;
border-bottom:1px solid #eee;
padding:20px;
text-align:center;
color:#555;
line-height:1.6;
}



/* =========================
LIGHTBOX
========================= */

.lightbox{
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:rgba(0,0,0,0.85);
display:none;
align-items:center;
justify-content:center;
z-index:999;
}

.lightbox-img{
max-width:700px;
max-height:70vh;
width:90%;
border-radius:10px;
box-shadow:0 25px 60px rgba(0,0,0,.6);
}

.close{
position:absolute;
top:30px;
right:40px;
font-size:40px;
color:white;
cursor:pointer;
}


/* =========================
RESPONSIVE
========================= */

@media(max-width:1000px){

.grid{
column-count:2;
}

}

@media(max-width:600px){

.grid{
column-count:1;
}

.hero-2 h1{
font-size:48px;
}

}